## org.eclipse.amp.amf.testing.ares.impl
Class AresPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.amp.amf.testing.ares.impl.AresPackageImpl

All Implemented Interfaces:
  AresPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class AresPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements AresPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.amp.amf.testing.ares.AresPackage
`AresPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.amp.amf.testing.ares.AresPackage

`CONSTRAINT_TEST, CONSTRAINT_TEST__ACTUAL_VALUE, CONSTRAINT_TEST__CONSTRAINT, CONSTRAINT_TEST__FAILURE, CONSTRAINT_TEST__ISSUE, CONSTRAINT_TEST_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ISSUE, RESULT_TYPE, RUN, RUN__CONSTRAINTS, RUN__FINISHED, RUN__MODEL, RUN__PARAMETERIZATION, RUN__PARAMETERS, RUN__RESULT, RUN__RESULTS, RUN__STARTED, RUN__TEST, RUN_FEATURE_COUNT, RUN_SET, RUN_SET__FINISHED, RUN_SET__RESULT, RUN_SET__RUNS, RUN_SET__STARTED, RUN_SET_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`AresFactory` `getAresFactory()`
`org.eclipse.emf.ecore.EAttribute` `getConstraintTest_ActualValue()`
`org.eclipse.emf.ecore.EReference` `getConstraintTest_Constraint()`
`org.eclipse.emf.ecore.EAttribute` `getConstraintTest_Failure()`
`org.eclipse.emf.ecore.EAttribute` `getConstraintTest_Issue()`
`org.eclipse.emf.ecore.EClass` `getConstraintTest()`
`org.eclipse.emf.ecore.EEnum` `getIssue()`
`org.eclipse.emf.ecore.EEnum` `getResultType()`
`org.eclipse.emf.ecore.EReference` `getRun_Constraints()`
`org.eclipse.emf.ecore.EAttribute` `getRun_Finished()`
`org.eclipse.emf.ecore.EReference` `getRun_Model()`
`org.eclipse.emf.ecore.EReference` `getRun_Parameterization()`
`org.eclipse.emf.ecore.EReference` `getRun_Parameters()`
`org.eclipse.emf.ecore.EAttribute` `getRun_Result()`
`org.eclipse.emf.ecore.EReference` `getRun_Results()`
`org.eclipse.emf.ecore.EAttribute` `getRun_Started()`
`org.eclipse.emf.ecore.EReference` `getRun_Test()`
`org.eclipse.emf.ecore.EClass` `getRun()`
`org.eclipse.emf.ecore.EAttribute` `getRunSet_Finished()`
`org.eclipse.emf.ecore.EAttribute` `getRunSet_Result()`
`org.eclipse.emf.ecore.EReference` `getRunSet_Runs()`
`org.eclipse.emf.ecore.EAttribute` `getRunSet_Started()`
`org.eclipse.emf.ecore.EClass` `getRunSet()`
`static AresPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static AresPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `AresPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `AresPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getRun

    public org.eclipse.emf.ecore.EClass getRun()

  Specified by:
    `getRun` in interface `AresPackage`
  Returns:
    the meta object for class 'Run'.
  See Also:
    `Run`

### getRun_Model

    public org.eclipse.emf.ecore.EReference getRun_Model()

  Specified by:
    `getRun_Model` in interface `AresPackage`
  Returns:
    the meta object for the reference 'Model'.
  See Also:
    `Run.getModel()`, `AresPackage.getRun()`

### getRun_Test

    public org.eclipse.emf.ecore.EReference getRun_Test()

  Specified by:
    `getRun_Test` in interface `AresPackage`
  Returns:
    the meta object for the reference 'Test'.
  See Also:
    `Run.getTest()`, `AresPackage.getRun()`

### getRun_Parameterization

    public org.eclipse.emf.ecore.EReference getRun_Parameterization()

  Specified by:
    `getRun_Parameterization` in interface `AresPackage`
  Returns:
    the meta object for the reference 'Parameterization'.
  See Also:
    `Run.getParameterization()`, `AresPackage.getRun()`

### getRun_Result

    public org.eclipse.emf.ecore.EAttribute getRun_Result()

  Specified by:
    `getRun_Result` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Result'.
  See Also:
    `Run.getResult()`, `AresPackage.getRun()`

### getRun_Parameters

    public org.eclipse.emf.ecore.EReference getRun_Parameters()

  Specified by:
    `getRun_Parameters` in interface `AresPackage`
  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Run.getParameters()`, `AresPackage.getRun()`

### getRun_Constraints

    public org.eclipse.emf.ecore.EReference getRun_Constraints()

  Specified by:
    `getRun_Constraints` in interface `AresPackage`
  Returns:
    the meta object for the containment reference list 'Constraints'.
  See Also:
    `Run.getConstraints()`, `AresPackage.getRun()`

### getRun_Started

    public org.eclipse.emf.ecore.EAttribute getRun_Started()

  Specified by:
    `getRun_Started` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Started'.
  See Also:
    `Run.getStarted()`, `AresPackage.getRun()`

### getRun_Finished

    public org.eclipse.emf.ecore.EAttribute getRun_Finished()

  Specified by:
    `getRun_Finished` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Finished'.
  See Also:
    `Run.getFinished()`, `AresPackage.getRun()`

### getRun_Results

    public org.eclipse.emf.ecore.EReference getRun_Results()

  Specified by:
    `getRun_Results` in interface `AresPackage`
  Returns:
    the meta object for the containment reference list 'Results'.
  See Also:
    `Run.getResults()`, `AresPackage.getRun()`

### getConstraintTest

    public org.eclipse.emf.ecore.EClass getConstraintTest()

  Specified by:
    `getConstraintTest` in interface `AresPackage`
  Returns:
    the meta object for class 'Constraint Test'.
  See Also:
    `ConstraintTest`

### getConstraintTest_Constraint

    public org.eclipse.emf.ecore.EReference getConstraintTest_Constraint()

  Specified by:
    `getConstraintTest_Constraint` in interface `AresPackage`
  Returns:
    the meta object for the reference 'Constraint'.
  See Also:
    `ConstraintTest.getConstraint()`, `AresPackage.getConstraintTest()`

### getConstraintTest_Issue

    public org.eclipse.emf.ecore.EAttribute getConstraintTest_Issue()

  Specified by:
    `getConstraintTest_Issue` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Issue'.
  See Also:
    `ConstraintTest.getIssue()`, `AresPackage.getConstraintTest()`

### getConstraintTest_ActualValue

    public org.eclipse.emf.ecore.EAttribute getConstraintTest_ActualValue()

  Specified by:
    `getConstraintTest_ActualValue` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Actual Value'.
  See Also:
    `ConstraintTest.getActualValue()`, `AresPackage.getConstraintTest()`

### getConstraintTest_Failure

    public org.eclipse.emf.ecore.EAttribute getConstraintTest_Failure()

  Specified by:
    `getConstraintTest_Failure` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Failure'.
  See Also:
    `ConstraintTest.isFailure()`, `AresPackage.getConstraintTest()`

### getRunSet

    public org.eclipse.emf.ecore.EClass getRunSet()

  Specified by:
    `getRunSet` in interface `AresPackage`
  Returns:
    the meta object for class 'Run Set'.
  See Also:
    `RunSet`

### getRunSet_Result

    public org.eclipse.emf.ecore.EAttribute getRunSet_Result()

  Specified by:
    `getRunSet_Result` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Result'.
  See Also:
    `RunSet.getResult()`, `AresPackage.getRunSet()`

### getRunSet_Started

    public org.eclipse.emf.ecore.EAttribute getRunSet_Started()

  Specified by:
    `getRunSet_Started` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Started'.
  See Also:
    `RunSet.getStarted()`, `AresPackage.getRunSet()`

### getRunSet_Finished

    public org.eclipse.emf.ecore.EAttribute getRunSet_Finished()

  Specified by:
    `getRunSet_Finished` in interface `AresPackage`
  Returns:
    the meta object for the attribute 'Finished'.
  See Also:
    `RunSet.getFinished()`, `AresPackage.getRunSet()`

### getRunSet_Runs

    public org.eclipse.emf.ecore.EReference getRunSet_Runs()

  Specified by:
    `getRunSet_Runs` in interface `AresPackage`
  Returns:
    the meta object for the containment reference list 'Runs'.
  See Also:
    `RunSet.getRuns()`, `AresPackage.getRunSet()`

### getResultType

    public org.eclipse.emf.ecore.EEnum getResultType()

  Specified by:
    `getResultType` in interface `AresPackage`
  Returns:
    the meta object for enum 'Result Type'.
  See Also:
    `ResultType`

### getIssue

    public org.eclipse.emf.ecore.EEnum getIssue()

  Specified by:
    `getIssue` in interface `AresPackage`
  Returns:
    the meta object for enum 'Issue'.
  See Also:
    `Issue`

### getAresFactory

    public AresFactory getAresFactory()

  Specified by:
    `getAresFactory` in interface `AresPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.